%global		momorel 1
%global		apiver  2.6

Name:		rygel
Version:	0.36.2
Release:	%{momorel}m%{?dist}
Summary:       A collection of UPnP/DLNA services

Group:         Applications/Multimedia
License:       LGPLv2+
URL:           http://live.gnome.org/Rygel
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.36/%{name}-%{version}.tar.xz
NoSource: 0

BuildRequires: dbus-glib-devel
BuildRequires: desktop-file-utils
BuildRequires: gobject-introspection-devel
BuildRequires: gstreamer1-devel
BuildRequires: gstreamer1-plugins-base-devel
BuildRequires: gtk3-devel
BuildRequires: gupnp-devel
BuildRequires: gupnp-av-devel
BuildRequires: gupnp-dlna-devel
BuildRequires: intltool
BuildRequires: libgee-devel
BuildRequires: libmediaart-devel >= 1.9.4
BuildRequires: libsoup-devel
BuildRequires: libunistring-devel
BuildRequires: libuuid-devel
BuildRequires: sqlite-devel
BuildRequires: tracker-devel

%description
Rygel is a home media solution that allows you to easily share audio, video and
pictures, and control of media player on your home network. In technical terms
it is both a UPnP AV MediaServer and MediaRenderer implemented through a plug-in
mechanism. Interoperability with other devices in the market is achieved by
conformance to very strict requirements of DLNA and on the fly conversion of
media to format that client devices are capable of handling.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%package tracker
Summary: Tracker plugin for %{name}
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Requires: tracker

%description tracker
A plugin for rygel to use tracker to locate media on the local machine.

%prep
%setup -q

%build
%configure --enable-tracker-plugin --enable-media-export-plugin --enable-external-plugin \
  --enable-gst-launch-plugin --disable-silent-rules 
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make  V=1

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang %{name}

# Verify the desktop files
desktop-file-validate %{buildroot}/%{_datadir}/applications/rygel.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/rygel-preferences.desktop

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING TODO NEWS 
%config(noreplace) %{_sysconfdir}/rygel.conf
%{_bindir}/rygel
%{_bindir}/rygel-preferences
%{_libdir}/librygel*.so.*
%{_libdir}/girepository-1.0/RygelCore-%{apiver}.typelib
%{_libdir}/girepository-1.0/RygelRenderer-%{apiver}.typelib
%{_libdir}/girepository-1.0/RygelServer-%{apiver}.typelib
%{_libdir}/rygel-%{apiver}/engines/librygel-media-engine-gst.so
%{_libdir}/rygel-%{apiver}/engines/librygel-media-engine-simple.so
%{_libdir}/rygel-%{apiver}/engines/media-engine-gst.plugin
%{_libdir}/rygel-%{apiver}/engines/media-engine-simple.plugin
%{_libdir}/rygel-%{apiver}/plugins/librygel-external.so
%{_libdir}/rygel-%{apiver}/plugins/external.plugin
%{_libdir}/rygel-%{apiver}/plugins/librygel-gst-launch.so
%{_libdir}/rygel-%{apiver}/plugins/gst-launch.plugin
%{_libdir}/rygel-%{apiver}/plugins/librygel-media-export.so
%{_libdir}/rygel-%{apiver}/plugins/media-export.plugin
#%%{_libdir}/rygel-%{apiver}/plugins/librygel-mediathek.so
#%%{_libdir}/rygel-%{apiver}/plugins/mediathek.plugin
%{_libdir}/rygel-%{apiver}/plugins/librygel-mpris.so
%{_libdir}/rygel-%{apiver}/plugins/mpris.plugin
%{_libdir}/rygel-%{apiver}/plugins/librygel-ruih.so
%{_libdir}/rygel-%{apiver}/plugins/ruih.plugin
%{_libdir}/rygel-%{apiver}/plugins/librygel-playbin.so
%{_libdir}/rygel-%{apiver}/plugins/playbin.plugin
%{_libdir}/rygel-%{apiver}/plugins/librygel-lms.so
%{_libdir}/rygel-%{apiver}/plugins/lms.plugin
%dir %{_libexecdir}/rygel/
%{_libexecdir}/rygel/mx-extract
%_unitdir}/../user/rygel.service
%{_datadir}/rygel/
%{_datadir}/applications/rygel*
%{_datadir}/dbus-1/services/org.gnome.Rygel1.service
%{_datadir}/icons/hicolor/*/apps/rygel*
%{_datadir}/man/man?/rygel*

%files tracker
%defattr(-,root,root,-)
%{_libdir}/rygel-%{apiver}/plugins/librygel-tracker.so
%{_libdir}/rygel-%{apiver}/plugins/tracker.plugin

%files devel
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/librygel*
%{_libdir}/librygel-*.so
%{_includedir}/rygel-%{apiver}
%{_libdir}/pkgconfig/rygel*.pc
%{_libdir}/girepository-1.0/RygelRendererGst-2.6.typelib
%{_datadir}/gir-1.0/RygelCore-%{apiver}.gir
%{_datadir}/gir-1.0/RygelRenderer-%{apiver}.gir
#%%{_datadir}/gir-1.0/Rygel-%{apiver}.gir
%{_datadir}/gir-1.0/RygelServer-%{apiver}.gir
%{_datadir}/gir-1.0/RygelRendererGst-%{apiver}.gir
#%%{_datadir}/vala/gir-1.0/RygelRendererGst-2.6.gir
#%%{_datadir}/vala/gir-1.0/RygelRendererGst-2.6.gir
%{_datadir}/vala/vapi/rygel*.deps
%{_datadir}/vala/vapi/rygel*.vapi

%changelog
* Mon Oct 15 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (0.36.2-1m)
- update to 0.36.2

* Sun Jan 29 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.32.1-1m)
- update to 0.32.1

* Sun Feb 22 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.25.2-1m)
- update to 0.25.2
- build against libmediaart-1.9.0-1m
- add Patch0: rygel-0.25.2-notests.patch

* Sat Jan 31 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.24.3-1m)
- update to 0.24.3

* Tue Nov 11 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.24.2-1m)
- update to 0.24.2

* Sun Oct 19 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.24.1-1m)
- update to 0.24.1

* Fri Sep 26 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.24.0-2m)
- update

* Sun Jun 08 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.22.2-1m)
- update to 0.22.2

* Mon Jun 02 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.22.1-1m)
- update to 0.22.1

* Wed Mar 26 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.22.0-1m)
- update to 0.22.0

* Sat Mar 22 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.21.6-1m)
- update to 0.21.6

* Sat Feb  8 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.21.4-1m)
- update to 0.21.4

* Fri Jan 17 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.21.3-1m)
- update to 0.21.3

* Tue Jul  9 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.19.3-1m)
- update to 0.19.3

* Fri Jun 29 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.15.0.1-2m)
- update to 0.15.0.1
- reimport from fedora

* Tue Jan 24 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.12.7-1m)
- update to 0.12.7

* Mon Oct 24 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.5-1m)
- update to 0.12.5

* Tue Oct 11 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.12.4-1m)
- update to 0.12.4

* Wed Sep 28 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.3-1m)
- update to 0.12.3

* Thu Sep 22 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.2-1m)
- update to 0.12.2

* Sat Sep 17 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.1-1m)
- update to 0.12.1

* Wed Sep 14 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.0-1m)
- update to 0.12.0

* Mon Jul 25 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.10.3-2m)
- add BuildRequires

* Sat Jul 16 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.3-1m)
- update to 0.10.3

* Mon Jun 27 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.2-1m)
- update to 0.10.2

* Sun May  8 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.10.1-1m)
- update to 0.10.1

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.9.9-2m)
- rebuild for new GCC 4.6

* Sat Apr  9 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.9-1m)
- update to 0.9.9

* Wed Feb 16 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.4-2m)
- update %%files

* Fri Dec 31 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.4-1m)
- update to 0.9.4

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.8.3-2m)
- rebuild for new GCC 4.5

* Thu Nov 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.3-1m)
- update to 0.8.3

* Sun Oct 17 2010 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.8.1-3m)
- add BR libgee-devel

* Sun Oct  3 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.8.1-2m)
- add BuildRequires

* Sat Oct  2 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.1-1m)
- initial build
